/*
 * OOP class of RGTP connections
 * implements
 *   rgtp-open host port username md5secret
 *      which returns the connection command name, and the
 *      per-connection commands ($conn = connection command):
 
 *   $conn edit itemid
 *   $conn editindex
 *   $conn editdone [newtext]
 *      without newtext indicates abort edit
 *   $conn withdraw itemid
 *   $conn setmotd
 */

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <assert.h>
#include <limits.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <ctype.h>

#include "tcl.h"
#include "tclExtend.h"
#include "rgtp.h"

#include "fixup.h"
#include "md5.h"
#include "app.h"

